# Ubuntu CI Engine
# Copyright 2014 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import errno


from ucitests import (
    features,
)


import tstrun


class NovaCredentials(features.Feature):

    def __init__(self, path=None):
        super(NovaCredentials, self).__init__()
        self.path = path

    def _probe(self):
        try:
            tstrun.get_auth_config(self.path)
        except IOError as e:
            if e.errno == errno.ENOENT:
                return False
            raise
        # We don't attempt to validate the credentials for now
        return True

    def feature_name(self):
        return 'Valid nova credentials file'


nova_creds = NovaCredentials()
